> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fossapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new customer account



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1/customers
openapi: 3.1.0
info:
  title: FossaPay API
  description: >-
    FossaPay API for checkout wallets, master-wallet payouts, customer
    management, NGN wallets, crypto wallets, transfers, fees, banks, and
    webhooks.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api-production.fossapay.com
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /api/v1/customers:
    post:
      tags:
        - Third Party Customers
      summary: Create a new customer account
      operationId: CustomersController_create
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CustomerCreateRequest'
      responses:
        '201':
          description: Customer created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    CustomerCreateRequest:
      type: object
      required:
        - firstName
        - lastName
        - emailAddress
        - mobileNumber
        - dateOfBirth
        - address
        - city
        - country
        - type
      properties:
        firstName:
          type: string
        lastName:
          type: string
        middleName:
          type: string
        emailAddress:
          type: string
          format: email
        mobileNumber:
          type: string
        dateOfBirth:
          type: string
          format: date
        address:
          type: string
        city:
          type: string
        country:
          type: string
        type:
          type: string
          enum:
            - individual
        metadata:
          type: object
          additionalProperties: true
      additionalProperties: false
    CustomerResponse:
      type: object
      required:
        - status
        - statusCode
        - message
        - data
      properties:
        status:
          type: string
          enum:
            - success
            - error
        statusCode:
          type: integer
        message:
          type: string
        data:
          $ref: '#/components/schemas/Customer'
      additionalProperties: true
    ApiError:
      type: object
      properties:
        status:
          oneOf:
            - type: string
            - type: boolean
        statusCode:
          type: integer
        message:
          type: string
        error:
          type: string
        code:
          type: string
        errors:
          type: object
          additionalProperties: true
      additionalProperties: true
    Customer:
      type: object
      properties:
        id:
          type: string
        businessId:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        middleName:
          type: string
        emailAddress:
          type: string
          format: email
        mobileNumber:
          type: string
        dateOfBirth:
          type: string
          format: date
        address:
          type: string
        city:
          type: string
        country:
          type: string
        customerType:
          type: string
          enum:
            - individual
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      additionalProperties: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````